[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'matrix' (#rtl)

# operator :=(Tmatrix2_double): Tmatrix3_single

Allow assignment of two-dimensional single precision matrix to three-dimensional single precision matrix

## Declaration

Source position: matrix.pp line 459

`operator operator :=(Tmatrix2_double): Tmatrix3_single(`
`const v: Tmatrix2_double`
`):Tmatrix3_single;`

## Description

This operator allows you to use a two-dimensional matrix with single precision values wherever a three-dimensional matrix with single precision is expected. The extra fields are set to 0 and some accuracy is lost because of the conversion.

Documentation generated on: Feb 26 2014